Bug 42855 - generator should report an error for [Protocol] without a [Model] that specify a [BaseType]
Summary: generator should report an error for [Protocol] without a [Model] that specif...
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Tools (show other bugs)
Version: XI 9.8 (tvOS / C7)
Hardware: PC Mac OS
: Normal normal
Target Milestone: Future Cycle (TBD)
Assignee: Alex Soto [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-07-27 21:09 UTC by Sebastien Pouliot
Modified: 2017-03-10 16:02 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Sebastien Pouliot 2016-07-27 21:09:09 UTC
The generator should report an error for [Protocol] without a [Model] that specify a [BaseType]

This leads to incorrectly generated code (which compile) and runtime issues. In many case it's found by our introspection tests but that won't help customers bindings.
Comment 1 Rolf Bjarne Kvinge [MSFT] 2016-07-28 08:35:04 UTC
We'll have to whitelist the cases where we (incorrectly) do this in our current bindings.
Comment 2 Rolf Bjarne Kvinge [MSFT] 2016-07-28 08:35:42 UTC
And we should probably do this in the xcode8 branch, to catch any errors there before we ship.
Comment 3 Sebastien Pouliot 2017-02-17 14:54:05 UTC
@Alex, let's add this before `xcode9`
Comment 4 Alex Soto [MSFT] 2017-03-10 00:59:26 UTC
(In reply to Rolf Bjarne Kvinge from comment #1)
> We'll have to whitelist the cases where we (incorrectly) do this in our
> current bindings.

It seems we are clean, no errors on our side of the house :D
Comment 5 Alex Soto [MSFT] 2017-03-10 01:36:51 UTC
https://github.com/xamarin/xamarin-macios/pull/1859
Comment 6 Alex Soto [MSFT] 2017-03-10 16:02:13 UTC
Fixed in xamarin-macios/master @ 0ada7dedce79a795dd9c9bbf3ffa102f01e3d614